Summary:	A DLNA/UPnP-AV Media server (aka ReadyMedia)
Name:		minidlna
Version:	1.3.0
Release:	%mkrel 1
URL:		https://sourceforge.net/projects/minidlna/
Group:		Networking/Other
License:	GPLv2
Source0:	https://downloads.sourceforge.net/minidlna/%{name}-%{version}.tar.gz
Source1:	minidlna.tmpfiles.conf
Source2:	minidlna.service
Patch0:		minidlna-rundir.patch
BuildRequires:	pkgconfig(libavutil)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(flac)
Requires(pre):		rpm-helper
Requires(post):		rpm-helper
Requires(preun):	rpm-helper
Provides:	readydlna = %{version}-%{release}
Provides:	readymedia = %{version}-%{release}

%description
MiniDLNA (aka ReadyMedia) is a simple server software with the aim of being fully
compliant with DLNA/UPnP-AV clients. MiniDLNA serves multimedia content
such as music, video and pictures to compatible clients on the network.

%prep
%autosetup -p1

%build
%configure \
	--with-log-path=%{_logdir} \
	--with-db-path=%{_localstatedir}/cache/%{name} \
	--with-os-name=%{_vendor} \
	--with-os-version=%{product_release} \
	--with-os-url=https://www.%{_real_vendor}.org \
	--disable-silent-rules
%make_build

%install
%make_install

#config
install -Dpm0644 %{name}.conf %{buildroot}%{_sysconfdir}/minidlna.conf

#man pages
install -Dpm0644 minidlna.conf.5 %{buildroot}%{_mandir}/man5/%{name}.conf.5
install -Dpm0644 minidlnad.8 %{buildroot}%{_mandir}/man8/%{name}d.8

#systemd related
install -Dpm0644 %{_sourcedir}/minidlna.tmpfiles.conf \
	%{buildroot}%{_tmpfilesdir}/%{name}.conf
install -Dpm0644 %{_sourcedir}/minidlna.service \
	%{buildroot}%{_unitdir}/%{name}.service

#for cache
install -d -m 0755 %{buildroot}%{_localstatedir}/cache/%{name}/
touch %{buildroot}%{_localstatedir}/cache/%{name}/files.db

%find_lang %{name}

%pre
%_pre_useradd %{name} /run/%{name} /sbin/nologin
%_pre_groupadd %{name} %{name}

%post
%create_ghostfile %{_localstatedir}/cache/%{name}/files.db %{name} %{name} 0644
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}
%_postun_groupdel %{name} %{name}

%files -f %{name}.lang
%doc README
%license LICENCE.miniupnpd
%config(noreplace) %{_sysconfdir}/minidlna.conf
%dir %attr(-,minidlna,minidlna) %{_localstatedir}/cache/%{name}/
%ghost %attr(-,minidlna,minidlna) %{_localstatedir}/cache/%{name}/files.db
%{_sbindir}/minidlnad
%{_mandir}/man?/%{name}*
%{_unitdir}/%{name}.service
%{_tmpfilesdir}/%{name}.conf


%changelog
* Sun Nov 29 2020 wally <wally> 1.3.0-1.mga8
+ Revision: 1650143
- new version 1.3.0

* Sun Jun 28 2020 joequant <joequant> 1.2.1-5.mga8
+ Revision: 1599945
- fix gcc10 build
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 1.2.1-4.mga8
+ Revision: 1515163
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.2.1-3.mga7
+ Revision: 1299555
- Mageia 7 Mass Rebuild

* Sat Apr 28 2018 daviddavid <daviddavid> 1.2.1-2.mga7
+ Revision: 1223092
- rebuild for new ffmpeg 4.0

* Thu Oct 05 2017 wally <wally> 1.2.1-1.mga7
+ Revision: 1169189
- new version 1.2.1

* Tue May 02 2017 akien <akien> 1.1.5-4.mga6
+ Revision: 1098365
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 1.1.5-3.mga6
+ Revision: 1089878
- Rebuild for ffmpeg 3.2.4

* Mon Feb 15 2016 umeabot <umeabot> 1.1.5-2.mga6
+ Revision: 961428
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 wally <wally> 1.1.5-1.mga6
+ Revision: 879729
- new version 1.1.5

* Fri Dec 05 2014 wally <wally> 1.1.4-1.mga5
+ Revision: 801607
- new version 1.1.4 (mga#14683)

* Fri Nov 14 2014 akien <akien> 1.1.3-5.mga5
+ Revision: 797106
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 1.1.3-3.mga5
+ Revision: 749362
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.3-2.mga5
+ Revision: 682521
- Mageia 5 Mass Rebuild

* Wed Jun 11 2014 wally <wally> 1.1.3-1.mga5
+ Revision: 635668
- new version 1.1.3

* Tue Feb 04 2014 wally <wally> 1.1.1-1.mga5
+ Revision: 580979
- fix summary/description
- add provides for ReadyMedia
- new version 1.1.1
- adapt to systemd
+ ennael <ennael>
- imported package minidlna


* Mon Feb 27 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.24-2mdv2012.0
+ Revision: 780959
- use upstream config file
- update to new version 1.0.24

* Sun Feb 05 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.23-2
+ Revision: 771266
- update to new version 1.0.23

  + Claudio Matsuoka <claudio@mandriva.com>
    - address rpmlint errors
    - make spec buildable in 2011 with undefined %%{_unitdir}

* Sat Jan 07 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.22-4
+ Revision: 758635
- obey %%optflags
- switch to verbose mode while compiling
- provide minidlna.service
- spec file clean

* Wed Dec 21 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.22-3
+ Revision: 744182
- revert use os setup_compile_flags
- make use of %%serverbuild_hardened
- use %%setup_compile_flags

* Sat Sep 17 2011 Claudio Matsuoka <claudio@mandriva.com> 1.0.22-1
+ Revision: 700180
- new upstream release 1.0.22
  * includes fixes for TiVo, Marantz receivers, Roku SoundBridge and
    Samsung series B and D TVs.

* Mon Jul 04 2011 Claudio Matsuoka <claudio@mandriva.com> 1.0.20-1
+ Revision: 688671
- new upstream release 1.0.20
  * Fix a crash bug when scanning MPEG-TS files with odd packet sizes
  * Fix AVI file streaming on Samsung A-Series TV's
  * Improve support for the NETGEAR Digital Entertainer Live (EVA2000)
  * Add support for multiple network interfaces
  * Add subtitle support for LG TV's and Blu-Ray players
  * Fix some minor coding issues found by cppcheck
  * Add client adaptation support for Toshiba Regza TV's
  * Send known audio-only devices straight to the Music section on root request
  * Add client adaptation support for Roku SoundBridge audio clients
  * Improve Sony client adaptation to allow support for more file types
  * Add support for reading tags from MP4 video files with recent lavf versions
  * Add support for Samsung's GetFeatureList method

* Wed Jan 26 2011 Claudio Matsuoka <claudio@mandriva.com> 1.0.18.2-3
+ Revision: 633000
- send to release repository

* Sun Jan 23 2011 Claudio Matsuoka <claudio@mandriva.com> 1.0.18.2-2
+ Revision: 632427
- apply upstream patch to specify log directory
- set configuration file as noreplace
- add manual pages written by Beno?\195?\174t Knecht for Debian

* Sat Jan 22 2011 Claudio Matsuoka <claudio@mandriva.com> 1.0.18.2-1
+ Revision: 632299
- imported package minidlna

